/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2014 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

BEGIN

  --
  -- Register Action Timecard
  --
  xxas_com_sr_pkg.seed_update_service
    (p_service_name      => 'CopyTimecard'
    ,p_securing_function => 'XXAS_SRV_CP_TCM_PERM'
    ,p_plsql_procedure   => 'xxas_tcm_log_entry_pkg.copy_timecard'
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pPersonId'         , xxas_com_sr_pkg.g_NUMBER)
                              ,xxas_com_sr_param_type('pPeriodId'         , xxas_com_sr_pkg.g_NUMBER)
                              ,xxas_com_sr_param_type('pCopyFromPersonId' , xxas_com_sr_pkg.g_NUMBER)
                              ,xxas_com_sr_param_type('pCopyFromPeriodId' , xxas_com_sr_pkg.g_NUMBER)));

END;
/
COMMIT;
EXIT;
